/* coincoinaboutform.cs : this file is part of coincoin.net
 * (c) 2002, kadreg
 */
namespace org.kadreg.coincoin {
  using System.Windows.Forms;

  public class CoinCoinAboutForm : Form {
    Button okButton;
    Label softLabel;
    TextBox licenseBox;

    // / constructeur
    public CoinCoinAboutForm (string version) {

      this.MinimumSize = new System.Drawing.Size (300, 200);
      this.MaximumSize = new System.Drawing.Size (300, 200);

      okButton = new Button ();
      okButton.Text = "OK";
      okButton.Click += new System.EventHandler (this.okButtonPressed);
      okButton.Location = new System.Drawing.Point (225, 10);
      okButton.Size = new System.Drawing.Size (50, 25);
      this.Controls.Add (okButton);

      softLabel = new Label ();
      softLabel.Text = version;
      softLabel.Location = new System.Drawing.Point (10, 10);
      softLabel.Size = new System.Drawing.Size (100, 15);
      this.Controls.Add (softLabel);

      licenseBox = new TextBox ();
      licenseBox.Text = getLicense ();
      licenseBox.Multiline = true;
      licenseBox.WordWrap  = true;
      licenseBox.ReadOnly = true;

      licenseBox.Location = new System.Drawing.Point (10, 40);
      licenseBox.Size = new System.Drawing.Size (260, 120);
      this.Controls.Add (licenseBox);
      
      AcceptButton = okButton;
      SizeGripStyle = SizeGripStyle.Hide;
      
      this.Text = "A propos de " + version;
    }

    /// callback de pressage de bouton OK 
    private void okButtonPressed (object o, System.EventArgs args) {
      this.Close ();
    }

    /// Affichage de la license 
    private string getLicense () {
      return " Coincoin.Net - Copyright (c) 2002 kadreg\n\nThe object of this licence is the Coincoin.Net program, the \nname Coincoin.Net, and all works or names derived in full or in\npart thereof together with the use, application, archiving, reproduction\n and passing on of Coincoin.Net, all programs derived from Coincoin.Net and \nall works derived in full or in part thereof. The Coincoin.Net program \nand all sources is the intellectual property of kadreg within the meaning \nof the Copyright Law. The name Coincoin.Net is a registered trademark of kadreg. \nIn the following kadreg is the licensor and every user or processor of Coincoin.Net \nor works derived in full or in part thereof, together with every person who \nreproduces, distributes or archives Coincoin.Net, is the licensee of kadreg.\n\nThe following licence terms are recognised as a result of the processing, use, \napplication, archiving reproduction and dissemination of "
+"Coincoin.Net.\n\nOnly this licence gives the Licensee the right to use reproduce, to distribute or \nto amend Coincoin.Net or works derived from it. These actions are forbidden by \nthe copyright act, if this licence is not recognised. If this licence is recognised \nand complied with in full, it is also valid even without the written consent of \nthe Licensee.\n\n   1.\n\n      Usage\n\n      Coincoin.Net  may be used for personal and commercial purposes if the copyright \nand licence terms of the installed packages and programmes are observed. The use \nof Coincoin.Net, even if a modified version is used, does NOT exempt in particular \nthe Licensee from the duty to take due care with regard to the licence terms \nof the packages or programmes installed through Coincoin.Net or works based on it.\n" 
+ "   2.\n\n      Processing\n\n      All programmes derived from Coincoin.Net and all works derived from it \nin full or parts thereof are to be filled on the opening screen with the clear \ninformation \"Modified Version\". Moreover the operator give his name on the \nopening screen, stating that kadreg is not providing any support for the \n\"Modified Version\" and is excluded from any liability whatsoever. Every amendment \nto the sources which are not conducted by kadreg are deemed to be a \"Modified Version\". \nThe Licensee is entitled to change his copy from the sources of Coincoin.Net, whereby\na work based on the Coincoin.Net programme is created, provided that the following \nconditions are satisfied.\n         1. Every amendment must have a note in the source with date and operator. \nThe amended sources must be made available for the user in accordance with section 3)\n together with "
+"the unamended licence.\n         "
+"2. The Licensee is obliged to make all work distributed by him which is \nderived as a whole or in part from Coincoin.Net or parts of Coincoin.Net to \nthird parties as a whole under the terms of this licence without royalties.\n         3. The amendment of this licence by a Licensee, even in part, is forbidden.\n\n      kadreg reserves the right to accept parts or all amendments of a modified version\n of Coincoin.Net into the official version of Coincoin.Net free of charge. \nThe Licensee has no bearing on this.\n   3.\n\n      Dissemination\n\n      It is forbidden to reproduce or distribute data carriers which have been \nreproduced without authorisation for payment without the prior written consent \nof kadreg. Distribution of the Coincoin.Net programme, its sources, whether amended \nor unamended in full or in part thereof, and the works derived thereof for a charge \nrequire the prior written consent of kadreg.\n\n      All programmes derived from Coincoin.Net, and all works derived thereof as a \nwhole or parts thereof may only be disseminated with the amended sources and this \nlicence in accordance with 2b). Making Coincoin.Net or "
+"works derived thereof available \nfree of charge on FTP Servers and mailboxes is permitted if the licences on the \nsoftware are observed.\n   4.\n\n      Guarantee\n\n      No guarantee whatsoever is given for Coincoin.Net or for works derived from it. \nThe kadreg guarantee only covers fault-free data carriers.\n\n      kadreg will provide Coincoin.Net \"AS IT IS\" without any guarantee whatever \nthat it is fit for a specific purpose or use. In particular kadreg is not liable for \nlost profit, savings not made, or damages from the claims lodged by third parties \nagainst the Licensee. kadreg is not liable either for other direct or indirect \nconsequential losses, in particular not for the loss or production of recorded data.\n\n      The observance of the respective licences and copyrights of the installed \nsoftware is incumbent solely upon the user of Coincoin.Net.\n\n   5.\n\n      Rights\n\n      No other rights to Coincoin.Net "
+"are granted other than those negotiated \nin this licence. An infringement against this licence automatically terminates \nthe rights of the Licensee. However the right of third parties who have received copies\n or rights under this licence from the Licensee, are not terminated as long as all\n parts of his licence are recognised and observed. If the Licensee is subject to \nconditions, or obligations as a result of a court judgement, patent terms, licence \nterms, or another reason, and these conditions or obligations contradict this licence \nas a whole or in part, the Licensee shall only be exempted in full or in part from \nthis "
+"licence and its terms with the express prior written consent of kadreg, \nkadreg is entitled to withhold its consent without giving reasons.\n\n   6.\n\n      Additional restrictions\n\n      If the distribution or use of Coincoin.Net is restricted in a state either \nby patents or by interfaces protected by copyright, kadreg can specify an explicit\n geographic restriction of the distribution of Coincoin.Net, in which these states \nare fully or partially excluded from distribution. In such a case this licence \nincludes the whole or partial restriction as if it was written down in this licence.\n\n             ";
    }
  }
}
