/* coincoinconf.cs : this file is part of coincoin.net
 * (c) 2002, kadreg
 */


namespace org.kadreg.coincoin {
  using Microsoft.Win32; /* YAISSE, FUQUE YOU MONO */

  public class CoinCoinConfig {

    public class RegistryException : System.Exception {
    }

    protected static string getStringConfig (string key) {
      RegistryKey HKLM = Registry.LocalMachine;
      RegistryKey keySoftware = HKLM.OpenSubKey ("SOFTWARE");
      RegistryKey keyCoinCoin = keySoftware.OpenSubKey ("CoinCoin.Net");
      try {
	object obj = keyCoinCoin.GetValue (key); 
	if (obj == null) {
	  throw new RegistryException();
	} else {
	  return (string)obj;
	}
      } catch (System.Exception) {
	System.Console.WriteLine ("Erreur recup reg: "+key);
	throw new RegistryException ();
      }
    }

    public static string SessionId {
      get {
	string result;
	try {
	  result = getStringConfig ("SessionId");
	  System.Console.WriteLine ("Recup dans la registry : SessionId=" + result);
	  return result;
	} catch (System.Exception) {
	  return "";
	}
      }
    }
    
    public static string BackendURL {
      get {
	string result;
	try {
	  result = getStringConfig ("BackendURL");
	  System.Console.WriteLine ("Recup dans la registry : BackendUrl=" + result);
	  return result;
	} catch (System.Exception) {
	  return "http://www.woof.lu/board/remote.xml";
	}
      }
    }

    public static string PostAddr {
      get {
	string result;
	try {
	  result = getStringConfig ("PostAddr");
	  System.Console.WriteLine ("Recup dans la registry : PostAddr=" + result);
	  return result;
	} catch (System.Exception) {
	  return "http://www.woof.lu/board/add.php3";
	}
      }
    }

  }  
}
